Exposure keyword

09/15/2017 05:09 PM - Malyshev Denys

Status: In Progress Start date: 09/15/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 10%

Category:  Estimated time: 0.00 hour

Target version:    

Description

It will be great to have a total exposure at the position of observed source in header of lightcurve/spectrum/sky map files (e.g. in

m^2*s units).

It seems that now there is no possibility to get this information.

History

#1 - 09/16/2017 08:39 PM - Knödlseder Jürgen

- Target version set to 1.5.0

Agree, this information (and probably also some other information) should be added. Don't hesitate to put down a list of things that are useful for you.

#2 - 10/09/2017 03:38 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

#3 - 10/10/2017 03:22 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 10

FITS header keywords were added to the sky map produced by ctskymap to inform about the dates and times covered by the input observations, as

well as the event energies that were used.

The issue however requests in effect the exposure in units of cm^2 s which is a quantity that varies spatially. We have decided that we will optionally

add the exposure map to the FITS file. The option can be controlled over a task parameter.

#4 - 10/11/2017 11:29 AM - Knödlseder Jürgen

I looked a bit more into the issue of computing an exposure map within ctskymap. The issue is that the exposure is energy dependent. ctskymap

combines in general events with vastly different energies into a map, hence you have to make an assumption about the spectral energy distribution of

the events to create an exposure map. We definitely do not want to do this at the ctskymap level which should be a tool to generate

model-independent sky maps from the events.

One way to achieve what you want is to go over cubes (ctbin, ctexpcube) which take the energy dependence into account.

We may also think about adding a ctexpmap tool that is similar to ctskymap and that computes an effective exposure map for a given spectral model.

For a light curve and spectrum produced by cslightcrv and csspec the situation is different since these methods directly returns fluxes and not counts.

I'm not sure why you would need exposures in units of cm^2 s for these cases.
#5 - 01/23/2018 05:00 PM - Knödlseder Jürgen

- Target version deleted (1.5.0)
